import { ModuleWithProviders } from '@angular/core';
import { LoggingServiceConfig } from './simple-logger.config';
export declare class SimpleLoggerModule {
    static forRoot(config: LoggingServiceConfig): ModuleWithProviders;
}
export interface ValueProvider {
    /**
     * An injection token. (Typically an instance of `Type` or `InjectionToken`, but can be `any`).
     */
    provide: any;
    /**
     * The value to inject.
     */
    useValue: any;
    /**
     * If true, then injector returns an array of instances. This is useful to allow multiple
     * providers spread across many files to provide configuration information to a common token.
     *
     * ### Example
     *
     * {example core/di/ts/provider_spec.ts region='MultiProviderAspect'}
     */
    multi?: boolean;
}
