import { Injectable } from '@angular/core';
import { LoggingServiceConfig } from './simple-logger.config';
import * as i0 from "@angular/core";
import * as i1 from "./simple-logger.config";
var SimpleLoggerService = /** @class */ (function () {
    function SimpleLoggerService(config) {
        this.config = config;
        this.log();
        if (config && config.applicationName) {
            this.applicationName = config.applicationName;
        }
    }
    SimpleLoggerService.prototype.log = function () {
        console.log('test' + ("" + this.applicationName));
    };
    SimpleLoggerService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] },
    ];
    /** @nocollapse */
    SimpleLoggerService.ctorParameters = function () { return [
        { type: LoggingServiceConfig }
    ]; };
    SimpleLoggerService.ngInjectableDef = i0.defineInjectable({ factory: function SimpleLoggerService_Factory() { return new SimpleLoggerService(i0.inject(i1.LoggingServiceConfig)); }, token: SimpleLoggerService, providedIn: "root" });
    return SimpleLoggerService;
}());
export { SimpleLoggerService };
//# sourceMappingURL=simple-logger.service.js.map